# codes for obtaining values in tables and figures
# tables about routings

# start by reading the datasets from simulated-results
# m <- read_table(name, sep=";", header=T)

# choose Nz 
# for temperature 0.7 Nzs are lower by 30
# so N=300 for T=0.7 is denoted by 270
g270 <- subset(m, m$Nz == 270)
g470 <- subset(m, m$Nz == 470)
g970 <- subset(m, m$Nz == 970)
g1970 <- subset(m, m$Nz == 1970)
g2970 <- subset(m, m$Nz == 2970)
g3970 <- subset(m, m$Nz == 3970)
g4970 <- subset(m, m$Nz == 4970)
g9970 <- subset(m, m$Nz == 9970)
g14970 <- subset(m, m$Nz == 14970)

# these are for T=0.1
g100 <- subset(m, m$Nz == 100)
g200 <- subset(m, m$Nz == 200) 
g300 <- subset(m, m$Nz == 300) 
g500 <- subset(m, m$Nz == 500)
g1000 <- subset(m, m$Nz == 1000) 
g2000 <- subset(m, m$Nz == 2000) 
g3000 <- subset(m, m$Nz == 3000) 
g4000 <- subset(m, m$Nz == 4000)
g5000 <- subset(m, m$Nz == 5000) 
g10000 <- subset(m, m$Nz == 10000)
g15000 <- subset(m, m$Nz == 15000)

# Both T=0.1 and T=0.7 use the same commands and code
# how many are worsened after ed

f <- function (g) {
100*(sum(g$suc_ed < g$suc_ec)/1000)
}

# example how to use it
f(g15000)

# median and average deterioration due to ed
f <- function (g) {
    a <- subset(g, g$suc_ed < g$suc_ec)
    summary(abs(100*(a$suc_ed - a$suc_ec)/a$suc_ec))
}

# example how to use it
f(g15000)


# od vs ed

f <- function (g) {
100*(sum(g$suc_od > g$suc_ed)/1000)
}

# example how to use it
f(g15000)

# descriptive statistics

f <- function (g) {
    a <- subset(g, g$suc_od > g$suc_ed)
    summary(abs(100*(a$suc_od - a$suc_ed)/a$suc_ed))
}

# example how to use it
f(g15000)

# percent of improved observation from ec to oc

f <- function (g) {
100*(sum(g$suc_ec < g$suc_oc)/1000)
}

# example how to use it
f(g15000)

# median and average of oc

f <- function (g) {
    a <- subset(g, g$suc_oc > g$suc_ec)
    summary(abs(100*(a$suc_ec - a$suc_oc)/a$suc_ec))
}

# example how to use it
f(g15000)

# wilcoxon test to tell the significance of the results
wil <- function (g) {
wilcox.test(g$suc_ec, g$suc_oc, paired=T, alternative="less")
}

# example how to use it
wil(g15000)

# less -- median before is lower then the median after

# figure for temperature
dens_plo <- function (g, text) {
    plot(density(g$eerc/g$gz), main=text, col="blue", xlab=NA)
    lines(density(g$erc/g$gz))
    #abline(v = 1, col="red", lwd=3, lty=2)
}

# example figure from appendix
pdf("routing_2x4.pdf",5,7)
par(mfrow=c(4,2), mar=c(2,2,2,2))
dens_plo(g100, "n = 100")
dens_plo(g200, "n = 200")
dens_plo(g300, "n = 300")
dens_plo(g500, "n = 500")
dens_plo(g1000,"n = 1000")
dens_plo(g2000, "n = 2000")
dens_plo(g4000, "n = 4000")
dens_plo(g5000, "n = 5000")
dev.off()

pdf("temp_3x3.pdf",7,5)
par(mfrow=c(3,3), mar=c(2,2,2,2))
dens_plo(g270, "n = 300")
dens_plo(g470, "n = 500")
dens_plo(g970, "n = 1000")
dens_plo(g1970, "n = 2000")
dens_plo(g2970, "n = 3000")
dens_plo(g3970,"n = 4000")
dens_plo(g4970,"n = 5000")
dens_plo(g9970,"n = 10000")
dens_plo(g14970,"n = 15000")
dev.off()

# example figure from short version
pdf("erc_eerc_gz_ijcai.pdf",5,1.5)
par(mfrow=c(1,3), mar=c(2,2,2,2))
dens_plo(g500, "n = 500")
dens_plo(g5000,"n = 5000")
dens_plo(g15000,"n = 15000")
dev.off()

pdf("temp_3x1_ijcai.pdf",5,1.5)
par(mfrow=c(1,3), mar=c(2,2,2,2))
dens_plo(g470, "n = 500")
dens_plo(g4970,"n = 5000")
dens_plo(g14970,"n = 15000")
dev.off()

