#!/bin/sh

# compute without continuous loglikelihood

function compute () {
  echo performing $1 >> logs/times-$1-$GNAME.txt
  #ulimit -Sv 28000000
  echo /usr/bin/time -a -o times/$1-$GNAME.txt $EXEC -nogui $GEOM -dhrg embedded-graphs/$1  -iterate 20 -esave ">" results2/$1-$GNAME.txt
  /usr/bin/time -a -o times/$1-$GNAME.txt $EXEC -nogui $GEOM -dhrg embedded-graphs/$1  -iterate 20 -esave > results2/$1-$GNAME.txt
  echo $GEOM $GNAME
  }

GEOM=""
GNAME="711"
EXEC=bin/dhrg
compute facebook_combined_result

GEOM="-7"
GNAME="710"
compute facebook_combined_result
EXEC=bin/dhrg-64
compute comedy
compute followers-2009
compute slashdot
compute amazon
compute followers-2011 
compute web-Google_result

GEOM="-7 -geo 7"
GNAME=810
compute followers-2011
compute followers-2009
compute comedy
compute slashdot
compute amazon
compute web-Google_result
compute cit-Patents_result

# compute with continuous loglikelihood

function compute_lcont () {
  echo performing $1 >> logs/times-lcont-$1-$GNAME.txt
  ulimit -Sv 28000000
  echo                                    $EXEC -s xx -nogui $GEOM -dhrg embedded-graphs/$1 $LLPRE -iterate 20 $LLPOST -esave ">" results3/$1-$GNAME.txt
  /usr/bin/time -a -o times/lcont-$1-$GNAME.txt $EXEC -s xx -nogui $GEOM -dhrg embedded-graphs/$1 $LLPRE -iterate 20 $LLPOST -esave > results3/$1-$GNAME.txt
  #echo $GEOM
  }

LLPRE="-contll"
LLPOST="-contll"

GEOM=""
GNAME=711

EXEC=bin/dhrg
compute_lcont facebook_combined_result

GEOM="-7"
GNAME=710

compute_lcont facebook_combined_result
compute_lcont comedy
EXEC=bin/dhrg-64
compute_lcont followers-2009
compute_lcont slashdot
compute_lcont amazon
compute_lcont followers-2011 
compute_lcont web-Google_result

GEOM="-7 -geo 7"
GNAME=810

compute facebook_combined_result
compute_lcont facebook_combined_result
compute_lcont followers-2009 
compute_lcont slashdot
compute_lcont amazon
compute_lcont followers-2011
LLPRE="" # to save some time, do not compute L2 again
compute_lcont web-Google_result
#NOT FEASIBLE: compute cit-Patents_result

